[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# OnShowException

Callback to show unhandled exceptions.

## Declaration

Source position: filerec.inc line 23

`var OnShowException: procedure(`
`Msg: ShortString`
`);`

## Description

OnShowException is the callback that ShowException uses to display a message in a GUI application. For GUI applications, this variable should always be set. Note that no memory may be available when this callback is called, so the callback should already have all resources it needs, when the callback is set.

## See also

ShowException |  | Show the current exception to the user.
ExceptionErrorMessage |  | Return a message describing the exception.

Documentation generated on: Feb 26 2014